PHP Warning: Illegal string offset 'alias' in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 6982



  • any clue what this means or how to fix it.

    I keep getting a crash report. The full crash report is below.

    Crash report details:

    PHP Errors:
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: Illegal string offset 'alias' in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 6982
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 6995
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 6995
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 6995
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 7000
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 7000
    [23-Jul-2018 19:37:27 CST6CDT] PHP Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 7000


  • Rebel Alliance Developer Netgate

    Does that also happen with the -devel version of the package?




  • Developer Netgate

    Fixed in both pfBlogker and pfBlockerng-devel packages. Please update when you see the new versions



  • @steve_b Thanks. I'm now only getting the following:
    PHP Errors:
    [24-Jul-2018 19:04:19 CST6CDT] PHP Warning: Illegal string offset 'vip' in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 1130
    [24-Jul-2018 19:04:19 CST6CDT] PHP Warning: Illegal string offset 'vip' in /usr/local/pkg/pfblockerng/pfblockerng.inc on line 1133


  • Developer Netgate

    Version 2.2.3 contains an additional fix



  • @steve_b I'm currently on 2.4.4-DEVELOPMENT (amd64) built on Tue Jul 24 17:06:16 EDT 2018 FreeBSD 11.2-RELEASE. So I'm assuming I'm stuck with it for now?


  • Developer Netgate

    The update should become available quite soon.



  • @Steve_B awesome! thanks for the info. Love the product!


  • Developer Netgate

    Unfortunately pfBlockerNG has an almost infinite number of possible configurations, so there may yet be some PHP7 related warning messages hidden somewhere. We will zap them as they turn up, however :)



  • @Steve_B Sorry to keep bothering you but I'm learning as I go. For the PFSense box that I built, I used a Gigabyte B360N with a built in Intel CNVi 2x2 802.11 wifi. How ever I can not see it while in PFSense .... is there a driver I need to install? if so could you be so kind as to point me in that direction.